import 'dart:io';

import 'package:gmo_cli/command/interface/command.dart';
import 'package:gmo_cli/common/utils/logger/log_utils.dart';
import 'package:gmo_cli/core/internationalization.dart';
import 'package:process_run/shell.dart';

class InitCommand extends Command {
  @override
  String get commandName => 'init';

  @override
  String? get codeSample => LogService.code('get init');

  @override
  Future<void> execute() async {
    stdout.write('Enter your project name: ');
    final projectName = stdin.readLineSync();

    var shell = Shell();
    final createProjectWithName = 'get create project:$projectName';
    print('Run "$createProjectWithName"');
    await shell.run(createProjectWithName);
  }

  @override
  String? get hint =>
      Translation('generate the chosen structure on an existing project:').tr;

  @override
  int get maxParameters => 0;
}
